* {
    margin: 0;
    padding: 0;
}

body {
    background-color: #f8f8f8;
    font-size: 1rem;
    padding-bottom: constant(safe-area-inset-bottom);
    padding-bottom: env(safe-area-inset-bottom);
    font-size-adjust: none;
    text-size-adjust: none;
    box-sizing: border-box;
    -webkit-box-sizing: border-box;
    overflow-x: hidden;
    overflow-y: auto;
    /* 将body的高度锁死，使用window的scroll */
    height: auto !important;
}

html {
    overflow-y: auto;
    position: relative;
}

a {
    text-decoration: none;
    color: #333;
}

[on^="click:"] {
    cursor: pointer;
}

img {
    width: 100%;
    margin: 0 auto;
}

template {
    display: none;
}

ul,
li {
    list-style: none;
}

.iphonex-adaper-content {
    padding-bottom: constant(safe-area-inset-bottom);
    padding-bottom: env(safe-area-inset-bottom);
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-weight: 400;
}
